import { useState, useEffect } from 'react';
import { csv } from 'd3';
//import {feature} from 'topojson';

const csvUrl =
  'https://gist.githubusercontent.com/wenleicao/296b74bc0269758ef1e010e323f0d6e6/raw/town_county_mapping.csv';

export const useCountyData = () => {
  const [data, setData] = useState(null);
   const row = d => {
    d.town = d.town;
    //d.lon = +d.lon;
    return d;
    };
   
  console.log(data);

  useEffect(() => {
        csv(csvUrl, row).then(setData);
     
  }, []);
  
  return data;
};
